View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17381Bug reportsQuestion editorpublic2021-12-11 12:31
Reportertammo Assigned Togabrieljenik  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version3.25.20 
Target Version3.x 
Summary17381: Missing evaluation of EM in CSS script field
DescriptionI recently found out that you can add extra classes to a question using expression script. Which is great!

I used that in: https://research.respondage.eu/index.php/592792?newtest=Y&lang=en

But when you do this, the normal way of showing expression script does not show up, leaving you in the dark about errors...
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)3.27.4
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database type & versionMySQL
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Relationships

related to 17386 closedgabrieljenik The { } disappear from forced expression 
related to 17794 closedDenisChenu Language attribute are not shown in question sumary 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tammo

tammo

2021-06-22 15:27

developer  

limesurvey_survey_592792(3).lss (35,638 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>365</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <answers>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[11142]]></qid>
    <code><![CDATA[A1]]></code>
    <answer><![CDATA[1 Strongly disagree]]></answer>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[11142]]></qid>
    <code><![CDATA[A2]]></code>
    <answer><![CDATA[2]]></answer>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[11142]]></qid>
    <code><![CDATA[A3]]></code>
    <answer><![CDATA[3]]></answer>
    <sortorder><![CDATA[3]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[11142]]></qid>
    <code><![CDATA[A4]]></code>
    <answer><![CDATA[4]]></answer>
    <sortorder><![CDATA[4]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <qid><![CDATA[11142]]></qid>
    <code><![CDATA[A5]]></code>
    <answer><![CDATA[5 Strongly agree]]></answer>
    <sortorder><![CDATA[5]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[1354]]></gid>
    <sid><![CDATA[592792]]></sid>
    <group_name><![CDATA[g1]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[en]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <gid><![CDATA[1355]]></gid>
    <sid><![CDATA[592792]]></sid>
    <group_name><![CDATA[sc1]]></group_name>
    <group_order><![CDATA[2]]></group_order>
    <description/>
    <language><![CDATA[en]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[11142]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[F]]></type>
    <title><![CDATA[tec1101]]></title>
    <question><![CDATA[What do you think about the following quotes?]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11143]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[X]]></type>
    <title><![CDATA[tec1190]]></title>
    <question><![CDATA[Counting total answer scores = {num1101}<br />
# Answered subquestions: {den1101}<br />
Which makes your score: {sc1101}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11144]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[num1101]]></title>
    <question><![CDATA[{sum(
  countifop('==',"A1",tec1101_SQ001.NAOK,tec1101_SQ003.NAOK,tec1101_SQ004.NAOK,tec1101_SQ005.NAOK, tec1101_SQ007.NAOK,tec1101_SQ008.NAOK,tec1101_SQ009.NAOK,tec1101_SQ010.NAOK, tec1101_SQ011.NAOK,tec1101_SQ012.NAOK,tec1101_SQ013.NAOK,tec1101_SQ014.NAOK), 5*countifop('==',"A1", tec1101_SQ002.NAOK, tec1101_SQ006.NAOK, tec1101_SQ015.NAOK),
  2*countifop('==',"A2",tec1101_SQ001.NAOK,tec1101_SQ003.NAOK,tec1101_SQ004.NAOK,tec1101_SQ005.NAOK, tec1101_SQ007.NAOK,tec1101_SQ008.NAOK,tec1101_SQ009.NAOK,tec1101_SQ010.NAOK, tec1101_SQ011.NAOK,tec1101_SQ012.NAOK,tec1101_SQ013.NAOK,tec1101_SQ014.NAOK), 4*countifop('==',"A2", tec1101_SQ002.NAOK, tec1101_SQ006.NAOK, tec1101_SQ015.NAOK),
  3*countifop('==',"A3",tec1101_SQ001.NAOK,tec1101_SQ003.NAOK,tec1101_SQ004.NAOK,tec1101_SQ005.NAOK, tec1101_SQ007.NAOK,tec1101_SQ008.NAOK,tec1101_SQ009.NAOK,tec1101_SQ010.NAOK, tec1101_SQ011.NAOK,tec1101_SQ012.NAOK,tec1101_SQ013.NAOK,tec1101_SQ014.NAOK), 3*countifop('==',"A3", tec1101_SQ002.NAOK, tec1101_SQ006.NAOK, tec1101_SQ015.NAOK),
  4*countifop('==',"A4",tec1101_SQ001.NAOK,tec1101_SQ003.NAOK,tec1101_SQ004.NAOK,tec1101_SQ005.NAOK, tec1101_SQ007.NAOK,tec1101_SQ008.NAOK,tec1101_SQ009.NAOK,tec1101_SQ010.NAOK, tec1101_SQ011.NAOK,tec1101_SQ012.NAOK,tec1101_SQ013.NAOK,tec1101_SQ014.NAOK), 2*countifop('==',"A4", tec1101_SQ002.NAOK, tec1101_SQ006.NAOK, tec1101_SQ015.NAOK),
  5*countifop('==',"A5",tec1101_SQ001.NAOK,tec1101_SQ003.NAOK,tec1101_SQ004.NAOK,tec1101_SQ005.NAOK, tec1101_SQ007.NAOK,tec1101_SQ008.NAOK,tec1101_SQ009.NAOK,tec1101_SQ010.NAOK, tec1101_SQ011.NAOK,tec1101_SQ012.NAOK,tec1101_SQ013.NAOK,tec1101_SQ014.NAOK), countifop('==',"A5", tec1101_SQ002.NAOK, tec1101_SQ006.NAOK, tec1101_SQ015.NAOK)
)}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11145]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[den1101]]></title>
    <question><![CDATA[{sum(countifop('==',"A1",that.tec1101.NAOK), countifop('==',"A2",that.tec1101.NAOK), countifop('==',"A3",that.tec1101.NAOK), countifop('==',"A4",that.tec1101.NAOK), countifop('==',"A5",that.tec1101.NAOK))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11146]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[sc1101]]></title>
    <question><![CDATA[{round(num1101/den1101, 1)}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11147]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[X]]></type>
    <title><![CDATA[fb1101]]></title>
    <question><![CDATA[{if(sc1101 <= 2.5, "This is a red score, you have a poor fit to the culture code", if(sc1101<=3.5, "This is an orange score, you have a fair fit to the culture code", if(sc1101<=4.5,"This is a green score, you have a good fit to the culture code", "This is a green score, you have an outstanding score to the culture code")))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[den1101>0]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11163]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[Q]]></type>
    <title><![CDATA[contact]]></title>
    <question><![CDATA[<p>This survey was developed by Respondage</p>
<p>Are you interested in our services for developing surveys, survey themes and survey reports? Please leave your details below.</p>]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[7]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11167]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[remarks]]></title>
    <question><![CDATA[Feel free to leave your remarks!]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[8]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11168]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[*]]></type>
    <title><![CDATA[class1101]]></title>
    <question><![CDATA[{if(sc1101.NAOK<=2.5,"qback_red",if(sc1101.NAOK<=3.5,"qback_orange", "qback_green"))}]]></question>
    <preg/>
    <help/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[11148]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <question><![CDATA[Quote 1]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11149]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <question><![CDATA[Quote 2 <strong>(Reverse)</strong>]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11150]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ003]]></title>
    <question><![CDATA[Quote 3]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[3]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11151]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ004]]></title>
    <question><![CDATA[Quote 4]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[4]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11152]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ005]]></title>
    <question><![CDATA[Quote 5]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[5]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11153]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ006]]></title>
    <question><![CDATA[Quote 6 <strong>(Reverse)</strong>]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[6]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11154]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ007]]></title>
    <question><![CDATA[Quote 7]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[7]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11155]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ008]]></title>
    <question><![CDATA[Quote 8]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[8]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11156]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ009]]></title>
    <question><![CDATA[Quote 9]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[9]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11157]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ010]]></title>
    <question><![CDATA[Quote 10]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[10]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11158]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ011]]></title>
    <question><![CDATA[Quote 11]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[11]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11159]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ012]]></title>
    <question><![CDATA[Quote 12]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[12]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11160]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ013]]></title>
    <question><![CDATA[Quote 13]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[13]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11161]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ014]]></title>
    <question><![CDATA[Quote 14]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[14]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11162]]></qid>
    <parent_qid><![CDATA[11142]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1354]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ015]]></title>
    <question><![CDATA[Quote 15 <strong>(Reverse)</strong>]]></question>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[15]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11165]]></qid>
    <parent_qid><![CDATA[11163]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ001]]></title>
    <question><![CDATA[Name]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11166]]></qid>
    <parent_qid><![CDATA[11163]]></parent_qid>
    <sid><![CDATA[592792]]></sid>
    <gid><![CDATA[1355]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[SQ002]]></title>
    <question><![CDATA[Email]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </subquestions>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[11144]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[11145]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[11146]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
   <row>
    <qid><![CDATA[11147]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value><![CDATA[{if(sc1101.NAOK<=2.5,"qback_red", if(sc1101.NAOK<=3.5,"qback_orange", "qback_green"))}]]></value>
   </row>
   <row>
    <qid><![CDATA[11168]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[1]]></value>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[592792]]></sid>
    <admin><![CDATA[Respondage Survey Admin]]></admin>
    <adminemail><![CDATA[tammo.terhark@respondage.nl]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[respondage_tn]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[Y]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[N]]></allowsave>
    <autonumber_start><![CDATA[13]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[Y]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[Y]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[tammo.terhark@respondage.nl]]></bounce_email>
    <emailresponseto><![CDATA[tammo.terhark@respondage.eu]]></emailresponseto>
    <emailnotificationto><![CDATA[{if(strlen(contact_SQ002)>5, contact_SQ002, "tammo.terhark@respondage.nl")}]]></emailnotificationto>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[N]]></showxquestions>
    <showgroupinfo><![CDATA[X]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[N]]></showwelcome>
    <showprogress><![CDATA[N]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[Y]]></alloweditaftercompletion>
    <googleanalyticsstyle><![CDATA[0]]></googleanalyticsstyle>
    <googleanalyticsapikey/>
    <gsid><![CDATA[4]]></gsid>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[592792]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Array count (with 3 reversely counted options)]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url><![CDATA[https://www.respondage.nl]]></surveyls_url>
    <surveyls_urldescription><![CDATA[Respondage website]]></surveyls_urldescription>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[2]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello {contact_SQ001},<br />
<br />
You filled in your name in a survey named '{SURVEYNAME}' on the website of Respondage.<br /><br />
The survey URL is: https://research.respondage.eu/index.php/592792?newtest=Y&lang=en
<br /><br />
Thank you for your response. I will be in touch soon.<br /><br />
If by any chance I do not respond soon enough, please feel free to contact me by answering to this email<br />
<br />
Thank you, <br />
<br />
Tammo ter Hark<br />
Respondage]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
    <attachments><![CDATA[a:0:{}]]></attachments>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>592792</sid>
   <template_name>respondage_respondage</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>592792</sid>
   <template_name>respondage_tn</template_name>
   <config>
    <options>
     <font>inherit</font>
     <brandlogofile>upload/surveys/592792/images/logo.png</brandlogofile>
     <container>inherit</container>
     <hideprivacyinfo>inherit</hideprivacyinfo>
     <showpopups>inherit</showpopups>
     <fixnumauto>inherit</fixnumauto>
     <brandlogo>inherit</brandlogo>
    </options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>592792</sid>
   <template_name>respondage_respondage</template_name>
   <config>
    <options>
     <animatebody>off</animatebody>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <bodyanimation>fadeInRight</bodyanimation>
     <brandlogo>on</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <font>noto</font>
     <showpopups>1</showpopups>
     <fixnumauto>off</fixnumauto>
    </options>
   </config>
  </theme>
  <theme>
   <sid>592792</sid>
   <template_name>respondage_tn</template_name>
   <config>
    <options>
     <font>noto</font>
     <brandlogofile>upload/surveys/592792/images/logo.png</brandlogofile>
     <container>on</container>
     <hideprivacyinfo>off</hideprivacyinfo>
     <showpopups>1</showpopups>
     <fixnumauto>off</fixnumauto>
     <brandlogo>on</brandlogo>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_592792(3).lss (35,638 bytes)   
ollehar

ollehar

2021-06-22 15:37

administrator   ~64977

Missing evaluation of EM in CSS script field, then?
tammo

tammo

2021-06-22 15:48

developer   ~64978

Last edited: 2021-07-06 08:16

Yes, did not know what words to use to describe. Thank you.
DenisChenu

DenisChenu

2021-06-22 16:28

developer   ~64982

Last edited: 2021-07-06 08:16

Need to use stactic Expression.
And remind to show expression error in Survey logic file (expresssion => 1 if i don't make error).
DenisChenu

DenisChenu

2021-06-22 16:31

developer   ~64983

Last edited: 2021-07-06 08:16

PS : new feature ?
ollehar

ollehar

2021-06-22 16:40

administrator   ~64984

Last edited: 2021-07-06 08:16

Should be copy-paste from other fields?
tammo

tammo

2021-06-22 16:43

developer   ~64985

Last edited: 2021-07-06 08:16

View 2 revisions

Yes, could be copied from other fields. But that is known only to insiders, not to people that really need this....
Or do you mean copy-paste the code to make this happen? ;-)
ollehar

ollehar

2021-06-22 16:49

administrator   ~64986

Last edited: 2021-07-06 08:16

Yes, copy-paste the code. Should be simple.
DenisChenu

DenisChenu

2021-06-22 17:08

developer   ~64990

Last edited: 2021-07-06 08:16

Still a new feature …
Sometime a news feature is one line code …
tammo

tammo

2021-06-22 17:15

developer   ~64991

Last edited: 2021-07-06 08:16

View 2 revisions

On every place where the expression script is used, this is evaluated. Here it is not. Isn't that an omission (a small error), in stead of asking for new feature?
DenisChenu

DenisChenu

2021-06-22 18:00

developer   ~64995

Last edited: 2021-07-06 08:16

> On every place where the expression script is used, this is evaluated.

No, not all , with only string value :
- array_filter : https://github.com/LimeSurvey/LimeSurvey/blob/87a11dbe66827b4111dc6cd4d32ae2abf96950be/application/helpers/questionHelper.php#L104
- array_filter_exclude : https://github.com/LimeSurvey/LimeSurvey/blob/87a11dbe66827b4111dc6cd4d32ae2abf96950be/application/helpers/questionHelper.php#L113
- category_separator
- exclude_all_others
- location_mapheight
- etc …

For not forced value (Expression) : it's 1 https://github.com/LimeSurvey/LimeSurvey/blob/87a11dbe66827b4111dc6cd4d32ae2abf96950be/application/helpers/questionHelper.php#L288

I don't understand your "is used.

It still a new feature …
tammo

tammo

2021-06-22 18:36

developer   ~64996

Last edited: 2021-07-06 08:16

Man, it turns out that using expressions is possible in many more places than I thought.

OK: feature request: make clear on what fields you can use expression script. For example by adding an extra icon to the label. Or by making the border of the field in another color/style...

Features that are hidden are rarely found....
DenisChenu

DenisChenu

2021-06-22 18:50

developer   ~64997

Last edited: 2021-07-06 08:16

But : it's the case : cssclass use static function
Sorry, sorry, sorry …

https://github.com/LimeSurvey/LimeSurvey/blob/87a11dbe66827b4111dc6cd4d32ae2abf96950be/application/helpers/SurveyRuntimeHelper.php#L1864
let me check why it don't work on your survey
DenisChenu

DenisChenu

2021-06-22 18:55

developer   ~64998

Last edited: 2021-07-06 08:16

Seems to work
DenisChenu

DenisChenu

2021-06-22 18:57

developer   ~64999

Last edited: 2021-07-06 08:16

OK : got it : Survey logic file
DenisChenu

DenisChenu

2021-06-22 19:01

developer   ~65000

Last edited: 2021-07-06 08:16

It's the case for all attribute with expression == 1.

But more : for multi lingual attribute: it's not shown in Question summary
DenisChenu

DenisChenu

2021-06-22 19:02

developer   ~65001

Last edited: 2021-07-06 08:16

(PS : sorry for misunderstanding the issue)
(PS2 : still a new feature in my opinion)
ollehar

ollehar

2021-06-23 11:49

administrator   ~65003

Last edited: 2021-07-06 08:16

View 2 revisions

> OK: feature request: make clear on what fields you can use expression script. For example by adding an extra icon to the label. Or by making the border of the field in another color/style...

Adding an icon seems reasonable. We have the small globe for localized attributes. We need a list of which attributes to do this with, tho.
tammo

tammo

2021-06-23 12:58

developer   ~65004

Last edited: 2021-07-06 08:16

Could be something like this...
ES icon.png (13,508 bytes)   
ES icon.png (13,508 bytes)   
DenisChenu

DenisChenu

2021-06-23 14:51

developer   ~65016

Last edited: 2021-07-06 08:16

We already use it for forced in 3.X
it's disappeared in 5.X (bug to report)

Allow != forced ;)
DenisChenu

DenisChenu

2021-06-23 14:57

developer   ~65017

Last edited: 2021-07-06 08:16

In 5.X : why not a icon like 'This settings is localised' (+ sr-only text)?
2 icons needed

- Dynamic expression allowed
- Static expression allowed
(here : need a update on expression : currently 0: none, 1 : forced, 2 : allowed)
gabrieljenik

gabrieljenik

2021-07-05 18:10

manager   ~65209

Last edited: 2021-07-06 08:16

Added EM evaluation when showing question summary

Master: https://github.com/LimeSurvey/LimeSurvey/pull/1945
LTS: https://github.com/LimeSurvey/LimeSurvey/pull/1946
gabrieljenik

gabrieljenik

2021-07-14 18:06

manager   ~65440

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32300
gabrieljenik

gabrieljenik

2021-07-14 18:30

manager   ~65442

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32303

Related Changesets

LimeSurvey: master 0f088d5a

2021-07-14 18:04:33

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17381: Missing evaluation of EM in CSS script field (#1945) Affected Issues
17381
mod - application/views/questionAdministration/summary.php Diff File

LimeSurvey: 3.x-LTS db67654d

2021-07-14 18:04:57

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17381: Missing evaluation of EM in CSS script field (#1946) Affected Issues
17381
mod - application/views/admin/survey/Question/question_view.php Diff File

Issue History

Date Modified Username Field Change
2021-06-22 15:27 tammo New Issue
2021-06-22 15:27 tammo File Added: limesurvey_survey_592792(3).lss
2021-06-22 15:27 tammo File Added: Firefox_Screenshot_2021-06-22T13-21-27.631Z.png
2021-06-22 15:27 tammo File Added: Firefox_Screenshot_2021-06-22T13-20-59.781Z.png
2021-06-22 15:28 tammo Description Updated View Revisions
2021-06-22 15:37 ollehar Note Added: 64977
2021-06-22 15:48 tammo Note Added: 64978
2021-06-22 15:50 tammo Summary Usage of extra classes possible through expression script, but no help => Missing evaluation of EM in CSS script field
2021-06-22 16:28 DenisChenu Note Added: 64982
2021-06-22 16:31 galads Status new => confirmed
2021-06-22 16:31 DenisChenu Note Added: 64983
2021-06-22 16:40 ollehar Note Added: 64984
2021-06-22 16:43 tammo Note Added: 64985
2021-06-22 16:43 tammo Note Edited: 64985 View Revisions
2021-06-22 16:49 ollehar Note Added: 64986
2021-06-22 17:08 DenisChenu Note Added: 64990
2021-06-22 17:15 tammo Note Added: 64991
2021-06-22 17:17 tammo Note Edited: 64991 View Revisions
2021-06-22 18:00 DenisChenu Note Added: 64995
2021-06-22 18:36 tammo Note Added: 64996
2021-06-22 18:50 DenisChenu Note Added: 64997
2021-06-22 18:55 DenisChenu Note Added: 64998
2021-06-22 18:55 DenisChenu File Added: Capture d’écran du 2021-06-22 18-55-33.png
2021-06-22 18:57 DenisChenu Note Added: 64999
2021-06-22 18:57 DenisChenu File Added: Capture d’écran du 2021-06-22 18-57-32.png
2021-06-22 19:01 DenisChenu Note Added: 65000
2021-06-22 19:01 DenisChenu File Added: Capture d’écran du 2021-06-22 18-59-46.png
2021-06-22 19:01 DenisChenu File Deleted: Capture d’écran du 2021-06-22 18-59-46.png
2021-06-22 19:02 DenisChenu Note Added: 65001
2021-06-22 19:02 DenisChenu File Added: Capture d’écran du 2021-06-22 18-59-05.png
2021-06-23 11:49 ollehar Note Added: 65003
2021-06-23 11:50 ollehar Note Edited: 65003 View Revisions
2021-06-23 12:58 tammo Note Added: 65004
2021-06-23 12:58 tammo File Added: ES icon.png
2021-06-23 14:51 DenisChenu Note Added: 65016
2021-06-23 14:51 DenisChenu File Added: Capture d’écran du 2021-06-23 14-50-46.png
2021-06-23 14:54 DenisChenu Relationship added related to 17386
2021-06-23 14:57 DenisChenu Note Added: 65017
2021-06-28 14:05 galads Severity minor => feature
2021-07-05 18:10 gabrieljenik Note Added: 65209
2021-07-06 08:16 galads Sync to Zoho Project => |Yes|
2021-07-14 18:05 c_schmitz Assigned To => c_schmitz
2021-07-14 18:05 c_schmitz Status confirmed => resolved
2021-07-14 18:05 c_schmitz Resolution open => fixed
2021-07-14 18:06 gabrieljenik Changeset attached => LimeSurvey master 0f088d5a
2021-07-14 18:06 gabrieljenik Note Added: 65440
2021-07-14 18:06 gabrieljenik Assigned To c_schmitz => gabrieljenik
2021-07-14 18:30 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS db67654d
2021-07-14 18:30 gabrieljenik Note Added: 65442
2021-08-12 08:46 c_schmitz Status resolved => closed
2021-12-11 12:31 DenisChenu Relationship added related to 17794